/**************************\
  Basic Modal Styles
\**************************/

.modal {
}

.modal__overlay {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background: rgba(0,0,0,0.6);
	display: flex;
	justify-content: center;
	align-items: center;
	z-index: 1001;
}

.modal__container {
	background-color: #fff;
	padding: 32px;
	max-width: 714px;
	width: 100%;
	box-sizing: border-box;
}
.modal__inner{
	overflow-y: auto;
	max-height: calc(100vh - 170px);
}
.modal__header {
	display: flex;
	justify-content: space-between;
	align-items: center;
}

.modal .modal__title {
	margin-top: 0;
	font-weight: 600;
	font-size: 24px;
	line-height: 1.25;
	color: #000;
	box-sizing: border-box;
	text-align: left !important;
	margin-bottom: 20px !important;
	padding-bottom: 0 !important;
	font-feature-settings: "palt";
}
.modal__title:after {
	content: "";
	display: none;
}
.modal__text {
	margin-top: 0;
	margin-bottom: 0 !important;
	font-size: 16px;
	line-height: 1.75;
	color: #000;
	text-align: left;
	box-sizing: border-box;
}
.modal__pict{
	display: block;
	margin-bottom: 20px;
}
.modal__pict img{
	max-width: 100%;
	height: auto;
}
.modal__close {
	position: absolute;
	margin-top: -52px;
	background: transparent;
	border: 0;
	top: 0;
	right: -6px;
	width: 42px;
	height: 42px;
}

.modal__close:before ,
.modal__close:after {
	content: "";
	display: block;
	width: 42px;
	height: 1px;
	position: absolute;
	background-color: #fff;
}
.modal__close:before {
	transform: rotate(-45deg);
}

.modal__close:after {
	transform: rotate(45deg);
}

.modal__content {
	margin-top: 2rem;
	margin-bottom: 2rem;
	line-height: 1.5;
	color: rgba(0,0,0,.8);
}

.modal__btn {
	font-size: .875rem;
	padding-left: 1rem;
	padding-right: 1rem;
	padding-top: .5rem;
	padding-bottom: .5rem;
	background-color: #e6e6e6;
	color: rgba(0,0,0,.8);
	border-radius: .25rem;
	border-style: none;
	border-width: 0;
	cursor: pointer;
	-webkit-appearance: button;
	text-transform: none;
	overflow: visible;
	line-height: 1.15;
	margin: 0;
	will-change: transform;
	-moz-osx-font-smoothing: grayscale;
	-webkit-backface-visibility: hidden;
	backface-visibility: hidden;
	-webkit-transform: translateZ(0);
	transform: translateZ(0);
	transition: -webkit-transform .25s ease-out;
	transition: transform .25s ease-out;
	transition: transform .25s ease-out,-webkit-transform .25s ease-out;
}

.modal__btn:focus, .modal__btn:hover {
	-webkit-transform: scale(1.05);
	transform: scale(1.05);
}

.modal__btn-primary {
	background-color: #00449e;
	color: #fff;
}


/* add modal inner parts */

.modal-content-item {
	display: none;
}

.modal-youtube {
	display: block;
}
.modal-youtube ~ .modal-youtube {
	margin-top: 25px;
}
.modal-youtube iframe {
	display: block;
	width: 100%;
	height: auto;
	aspect-ratio: 16 / 9;
}
@media screen and (max-width: 767px) {
	.modal-youtube ~ .modal-youtube {
		margin-top: 20px;
	}
}

.modal-title {
	margin: 25px 0 0;
	font-size: 24px;
	font-weight: bold;
	line-height: 1.4;
	color: #333;
	box-sizing: border-box;
	text-align: left;
}
@media screen and (max-width: 767px) {
	.modal-title {
		margin-top: 20px;
		font-size: 18px;
	}
}

.modal-video-time {
	margin: 10px 0 0;
	font-size: 16px;
	line-height: 1.75;
	color: #333;
	text-align: left;
}

.modal-text {
	margin: 20px 0 0;
	text-align: left;
}
.modal-text p {
	margin: 0 !important;
	font-size: 16px;
	line-height: 1.75;
	color: #333;
}
.modal-text p ~ p {
	margin-top: 10px !important;
}
.modal-text .notes-margin {
	margin-top: 10px;
}
@media screen and (max-width: 767px) {
	.modal-text {
		margin: 15px 0 0;
		text-align: left;
	}
	.modal-text p {
		font-size: 15px;
	}
}



/**************************\
  Demo Animation Style
\**************************/
@keyframes mmfadeIn {
	from { opacity: 0; }
	to { opacity: 1; }
}

@keyframes mmfadeOut {
	from { opacity: 1; }
	to { opacity: 0; }
}

@keyframes mmslideIn {
	from { transform: translateY(15%); }
	to { transform: translateY(0); }
}

@keyframes mmslideOut {
	from { transform: translateY(0); }
	to { transform: translateY(-10%); }
}

.micromodal-slide {
	display: none;
}

.micromodal-slide.is-open {
	display: block;
}

.micromodal-slide[aria-hidden="false"] .modal__overlay {
	animation: mmfadeIn .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}

.micromodal-slide[aria-hidden="false"] .modal__container {
	animation: mmslideIn .3s cubic-bezier(0, 0, .2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__overlay {
	animation: mmfadeOut .3s cubic-bezier(0.0, 0.0, 0.2, 1);
}

.micromodal-slide[aria-hidden="true"] .modal__container {
	animation: mmslideOut .3s cubic-bezier(0, 0, .2, 1);
}

.micromodal-slide .modal__container,
.micromodal-slide .modal__overlay {
	will-change: transform;
}